#ifndef VIDCONFIG_H
#define VIDCONFIG_H
#include "vidconf_p.h"
#include <videoencoder.h>
#include "v4lxif.h"
class VidConfig : public VidcapConfigDialog
{ 
    Q_OBJECT
    VideoEncoderInfo _info;
public:
    VidConfig( QWidget* parent, v4lxif*& v4l );
    ~VidConfig();
    void savePage(int);
public slots:
    void change_filename();
    void change_codec();
    void toggle_audio(bool);
    void toggle_segmented(bool);
    virtual void toggle_limitsize(bool);
    virtual void toggle_limittime(bool);
    void accept();
    void apply();
};

#endif // VIDCONFIG_H
